- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5cc5992c-ce4c-418b-8858-90a03968634a
    creation_time: 2023-02-17T12:11:58.979645Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005_variant.c
      input_file_hashes:
        c/loop-lit/cggmp2005_variant.c: 97c038219cdeaf51b4a1cca11c2224d28fd8afee578e8e2fba1b3a73783511f2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005_variant.c
    file_hash: 97c038219cdeaf51b4a1cca11c2224d28fd8afee578e8e2fba1b3a73783511f2
    line: 14
    column: 0
    function: __VERIFIER_assert
  loop_invariant:
    string: 2*mid+lo == hi && mid >= 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ac85914c-09f1-4a8a-a941-4139f4fe3d31
    creation_time: 2023-02-17T12:11:58.979962Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/cggmp2005_variant.c
      input_file_hashes:
        c/loop-lit/cggmp2005_variant.c: 97c038219cdeaf51b4a1cca11c2224d28fd8afee578e8e2fba1b3a73783511f2
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/cggmp2005_variant.c
    file_hash: 97c038219cdeaf51b4a1cca11c2224d28fd8afee578e8e2fba1b3a73783511f2
    line: 19
    column: 0
    function: __VERIFIER_assert
  location_invariant:
    string: lo == hi
    type: assertion
    format: C

